Skip to main content
POST
/
v1
/
wallets
/
{wallet_id}
/
fund
Fund wallet
curl --request POST \
  --url https://api.clearbox.example.com/v1/wallets/{wallet_id}/fund \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "processor_token": "ptok_7e2a",
  "destination_wallet_address": "0xA1b2C3d4"
}
'
{
  "deposit_id": "dep_4a8c",
  "amount": "100.00",
  "currency": "USDC"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Path Parameters

wallet_id
string
required
Example:

"wlt_5c1d"

Body

application/json
processor_token
string
required
Example:

"ptok_7e2a"

destination_wallet_address
string
required
Example:

"0xA1b2C3d4"

Response

Deposit accepted, pending settlement.

deposit_id
string
Example:

"dep_4a8c"

status
enum<string>
Available options:
pending_settlement,
settled,
failed
amount
string
Example:

"100.00"

currency
string
Example:

"USDC"